Subject: bug#8860: closed (Re: bug#8860: 24.0.50; Fontification in minibuffer when mixing local and remote paths in find-file command)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Sep 2018 07:24:02 +0000

Your bug report

#8860: 24.0.50; Fontification in minibuffer when mixing local and remote paths in find-file command

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8860: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8860
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8860: 24.0.50; Fontification in minibuffer when mixing local and remote paths in find-file command
From: Michael Albinus <[email-masked]>
To: Dani Moncayo <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Sep 2018 09:23:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 26.1

Dani Moncayo <[email-masked]> writes:

Hi Dani,

>> I've tested this on Windows 7 / Emacs 27.0.50. There have been several
>> changes over the years; all I could say is that it works as expected.
>>
>> I couldn't test with Emacs 26.1, but I bet it works as well. Could you,
>> pls, check?
>
> I no longer use native MS-Windows builds of Emacs, but I've just
> installed this one:
>
> GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
>  of 2018-05-30
>
> On a Windows 10 system.
>
> ... and the bug seems fixed here.
>
> So this bug report can be closed.

Thanks for checking, I'm closing the bug.

> Thanks!

Best regards, Michael.

Subject: 24.0.50; Fontification in minibuffer when mixing local and remote paths in find-file command
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jun 2011 13:03:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Starting from emacs -Q:

1. Change the current directory to a remote machine (M-x <ret> cd
<ret> /user@host:/directory <ret>).
2. Type "C-x C-f d:/~".
3. Delete the last "~".

After step #3, the "d:/" part should be displayed in normal font[1],
but actually is displayed in gray font[2].

[1] See attached file "img-correct.png".
[2] See attached file "img-incorrect.png".

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-06-07 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/build/include'

-- 
Dani Moncayo